import 'package:get/get.dart';

class AppServiceMessages extends Translations {
  @override
  Map<String, Map<String, String>> get keys => {
        // 中文简体
        'zh_CN': {
          'app_service.:': '：',
          'app_service.settings': '设置',
          'app_service.close': '关闭',
          'app_service.lang': '语言',
          'app_service.lang.zh': '中文',
          'app_service.lang.zh_Hans': '中文（简体）',
          'app_service.lang.zh_Hant': '中文（繁体）',
          'app_service.lang.zh_HK': '中文（香港）',
          'app_service.lang.zh_TW': '中文（台湾）',
          'app_service.lang.en': '英语',
          'app_service.lang.US': '英语（美国）',
          'app_service.lang.UK': '英语（英国）',
          'app_service.lang.fr': '法语',
          'app_service.lang.de': '德语',
          'app_service.lang.it': '意大利语',
          'app_service.lang.he': '希伯来语',
          'app_service.lang.ar': '阿拉伯语',
          'app_service.lang.ru': '俄语',
          'app_service.lang.ja': '日语',
          'app_service.lang.ko': '韩语',
          'app_service.lang.pt': '葡萄牙语',
          'app_service.lang.nl': '荷兰语',
          'app_service.lang.tr': '土耳其语',
          'app_service.lang.th': '泰语',
          'app_service.lang.vi': '越南语',
          'app_service.lang.ms': '马来语',
          'app_service.lang.pl': '波兰语',
          'app_service.lang.da': '丹麦语',
          'app_service.lang.fi': '芬兰语',
          'app_service.lang.la': '拉丁语',
          'app_service.lang.no': '挪威语',
          'app_service.lang.sk': '斯洛伐克语',
          'app_service.lang.bg': '保加利亚语',
          'app_service.lang.fil': '菲律宾语',
          'app_service.theme': '主题',
          'app_service.color_theme': '颜色主题',
          'app_service.dark_mode': '暗黑模式',
          'app_service.sys_lang': '系统语言',
          'app_service.select_theme': '选择主题',
        },
        // 中文香港
        'zh_HK': {
          'app_service.:': '：',
          'app_service.settings': '設定',
          'app_service.close': '關閉',
          'app_service.lang': '語言',
          'app_service.lang.zh': '中文',
          'app_service.lang.zh_Hans': '中文（簡體）',
          'app_service.lang.zh_Hant': '中文（繁體）',
          'app_service.lang.zh_HK': '中文（香港）',
          'app_service.lang.zh_TW': '中文（台灣）',
          'app_service.lang.en': '英語',
          'app_service.lang.US': '英語（美國）',
          'app_service.lang.UK': '英語（英國）',
          'app_service.lang.fr': '法語',
          'app_service.lang.de': '德語',
          'app_service.lang.it': '意大利語',
          'app_service.lang.he': '希伯來語',
          'app_service.lang.ar': '阿拉伯語',
          'app_service.lang.ru': '俄語',
          'app_service.lang.ja': '日語',
          'app_service.lang.ko': '韓語',
          'app_service.lang.pt': '葡萄牙語',
          'app_service.lang.nl': '荷蘭語',
          'app_service.lang.tr': '土耳其語',
          'app_service.lang.th': '泰語',
          'app_service.lang.vi': '越南語',
          'app_service.lang.ms': '馬來語',
          'app_service.lang.pl': '波蘭語',
          'app_service.lang.da': '丹麥語',
          'app_service.lang.fi': '芬蘭語',
          'app_service.lang.la': '拉丁語',
          'app_service.lang.no': '挪威語',
          'app_service.lang.sk': '斯洛伐克語',
          'app_service.lang.bg': '保加利亞語',
          'app_service.lang.fil': '菲律賓語',
          'app_service.theme': '主題',
          'app_service.color_theme': '顏色主題',
          'app_service.dark_mode': '暗黑模式',
          'app_service.sys_lang': '系統語言',
          'app_service.select_theme': '選擇主題',
        },
        // 中文台湾
        'zh_TW': {
          'app_service.:': '：',
          'app_service.settings': '設置',
          'app_service.close': '關閉',
          'app_service.lang': '語言',
          'app_service.lang.zh': '中文',
          'app_service.lang.zh_Hans': '中文（简体）',
          'app_service.lang.zh_Hant': '中文（繁體）',
          'app_service.lang.zh_HK': '中文（香港）',
          'app_service.lang.zh_TW': '中文（台湾）',
          'app_service.lang.en': '英語',
          'app_service.lang.US': '英語（美國）',
          'app_service.lang.UK': '英語（英國）',
          'app_service.lang.fr': '法語',
          'app_service.lang.de': '德語',
          'app_service.lang.it': '意大利語',
          'app_service.lang.he': '希伯來語',
          'app_service.lang.ar': '阿拉伯語',
          'app_service.lang.ru': '俄語',
          'app_service.lang.ja': '日語',
          'app_service.lang.ko': '韓語',
          'app_service.lang.pt': '葡萄牙語',
          'app_service.lang.nl': '荷蘭語',
          'app_service.lang.tr': '土耳其語',
          'app_service.lang.th': '泰語',
          'app_service.lang.vi': '越南語',
          'app_service.lang.ms': '馬來語',
          'app_service.lang.pl': '波蘭語',
          'app_service.lang.da': '丹麥語',
          'app_service.lang.fi': '芬蘭語',
          'app_service.lang.la': '拉丁語',
          'app_service.lang.no': '挪威語',
          'app_service.lang.sk': '斯洛伐克語',
          'app_service.lang.bg': '保加利亞語',
          'app_service.lang.fil': '菲律賓語',
          'app_service.theme': '主題',
          'app_service.color_theme': '顏色主題',
          'app_service.dark_mode': '暗黑模式',
          'app_service.sys_lang': '系統語言',
          'app_service.select_theme': '選擇主題',
        },
        // 英语
        'en': {
          'app_service.:': ':',
          'app_service.settings': 'Settings',
          'app_service.close': 'Close',
          'app_service.lang': 'Language',
          'app_service.lang.zh': 'Chinese',
          'app_service.lang.zh_Hans': 'Chinese (Simplified)',
          'app_service.lang.zh_Hant': 'Chinese (Traditional)',
          'app_service.lang.zh_HK': 'Chinese (Hong Kong)',
          'app_service.lang.zh_TW': 'Chinese (Taiwan)',
          'app_service.lang.en': 'English',
          'app_service.lang.US': 'English (US)',
          'app_service.lang.UK': 'English (UK)',
          'app_service.lang.fr': 'French',
          'app_service.lang.de': 'German',
          'app_service.lang.it': 'Italian',
          'app_service.lang.he': 'Hebrew',
          'app_service.lang.ar': 'Arabic',
          'app_service.lang.ru': 'Russian',
          'app_service.lang.ja': 'Japanese',
          'app_service.lang.ko': 'Korean',
          'app_service.lang.pt': 'Portuguese',
          'app_service.lang.nl': 'Dutch',
          'app_service.lang.tr': 'Turkish',
          'app_service.lang.th': 'Thai',
          'app_service.lang.vi': 'Vietnamese',
          'app_service.lang.ms': 'Malay',
          'app_service.lang.pl': 'Polish',
          'app_service.lang.da': 'Danish',
          'app_service.lang.fi': 'Finnish',
          'app_service.lang.la': 'Latin',
          'app_service.lang.no': 'Norwegian',
          'app_service.lang.sk': 'Slovak',
          'app_service.lang.bg': 'Bulgarian',
          'app_service.lang.fil': 'Filipino',
          'app_service.theme': 'Theme',
          'app_service.color_theme': 'Color Theme',
          'app_service.dark_mode': 'Dark Mode',
          'app_service.sys_lang': 'System Language',
          'app_service.select_theme': 'Select Theme',
        },

        // 韩语
        'ko_KR': {
          'app_service.:': '：',
          'app_service.settings': '설정',
          'app_service.close': '닫기',
          'app_service.lang': '언어',
          'app_service.lang.zh': '중국어',
          'app_service.lang.zh_Hans': '중국어 (간체)',
          'app_service.lang.zh_Hant': '중국어 (번체)',
          'app_service.lang.zh_HK': '중문 (홍콩)',
          'app_service.lang.zh_TW': '중국어 (번체)',
          'app_service.lang.en': '영어',
          'app_service.lang.US': '영어 (미국)',
          'app_service.lang.UK': '영어 (영국)',
          'app_service.lang.fr': '프랑스어',
          'app_service.lang.de': '독일어',
          'app_service.lang.it': '이탈리아어',
          'app_service.lang.he': '히브리어',
          'app_service.lang.ar': '아랍어',
          'app_service.lang.ru': '러시아어',
          'app_service.lang.ja': '일본어',
          'app_service.lang.ko': '한국어',
          'app_service.lang.pt': '포르투갈어',
          'app_service.lang.nl': '네덜란드어',
          'app_service.lang.tr': '터키어',
          'app_service.lang.th': '태국어',
          'app_service.lang.vi': '베트남어',
          'app_service.lang.ms': '말레이어',
          'app_service.lang.pl': '폴란드어',
          'app_service.lang.da': '덴마크어',
          'app_service.lang.fi': '핀란드어',
          'app_service.lang.la': '라틴어',
          'app_service.lang.no': '노르웨이어',
          'app_service.lang.sk': '슬로바키아어',
          'app_service.lang.bg': '불가리아어',
          'app_service.lang.fil': '필리핀어',
          'app_service.theme': '테마',
          'app_service.color_theme': '색상 테마',
          'app_service.dark_mode': '다크 모드',
          'app_service.sys_lang': '시스템 언어',
          'app_service.select_theme': '테마 선택',
        },
        // 日语
        'ja_JP': {
          'app_service.:': '：',
          'app_service.settings': '設定',
          'app_service.close': '閉じる',
          'app_service.lang': '言語',
          'app_service.lang.zh': '中国語',
          'app_service.lang.zh_Hans': '中国語(簡体字)',
          'app_service.lang.zh_Hant': '中国語（繁体字）',
          'app_service.lang.zh_HK': '中国語（香港）',
          'app_service.lang.zh_TW': '中国語(台湾)',
          'app_service.lang.en': '英語',
          'app_service.lang.US': '英語（アメリカ）',
          'app_service.lang.UK': '英語（イギリス）',
          'app_service.lang.fr': 'フランス語',
          'app_service.lang.de': 'ドイツ語',
          'app_service.lang.it': 'イタリア語',
          'app_service.lang.he': 'ヘブライ語',
          'app_service.lang.ar': 'アラビア語',
          'app_service.lang.ru': 'ロシア語',
          'app_service.lang.ja': '日本語',
          'app_service.lang.ko': '韓国語',
          'app_service.lang.pt': 'ポルトガル語',
          'app_service.lang.nl': 'オランダ語',
          'app_service.lang.tr': 'トルコ語',
          'app_service.lang.th': 'タイ語',
          'app_service.lang.vi': 'ベトナム語',
          'app_service.lang.ms': 'マレー語',
          'app_service.lang.pl': 'ポーランド語',
          'app_service.lang.da': 'デンマーク語',
          'app_service.lang.fi': 'フィンランド語',
          'app_service.lang.la': 'ラテン語',
          'app_service.lang.no': 'ノルウェー語',
          'app_service.lang.sk': 'スロバキア語',
          'app_service.lang.bg': 'ブルガリア語',
          'app_service.lang.fil': 'フィリピン語',
          'app_service.theme': 'テーマ',
          'app_service.color_theme': 'カラーテーマ',
          'app_service.dark_mode': 'ダークモード',
          'app_service.sys_lang': 'システム言語',
          'app_service.select_theme': 'テーマを選択',
        },
        // 法语
        'fr_FR': {
          'app_service.:': '：',
          'app_service.settings': 'Paramètres',
          'app_service.close': 'Fermer',
          'app_service.lang': 'Langue',
          'app_service.lang.zh': 'Chinois',
          'app_service.lang.zh_Hans': 'Chinois (simplifié)',
          'app_service.lang.zh_Hant': 'Chinois (traditionnel)',
          'app_service.lang.hk': 'Chinois (Hong Kong)',
          'app_service.lang.zh_TW': 'Chinois (Taïwan)',
          'app_service.lang.en': 'Anglais',
          'app_service.lang.US': 'Anglais (États-Unis)',
          'app_service.lang.UK': 'Anglais (Royaume-Uni)',
          'app_service.lang.fr': 'Français',
          'app_service.lang.de': 'Allemand',
          'app_service.lang.it': 'Italien',
          'app_service.lang.he': 'Hébreu',
          'app_service.lang.ar': 'Arabe',
          'app_service.lang.ru': 'Russe',
          'app_service.lang.ja': 'Japonais',
          'app_service.lang.ko': 'Coréen',
          'app_service.lang.pt': 'Portugais',
          'app_service.lang.nl': 'Néerlandais',
          'app_service.lang.tr': 'Turc',
          'app_service.lang.th': 'Thaïlandais',
          'app_service.lang.vi': 'Vietnamien',
          'app_service.lang.ms': 'Malais',
          'app_service.lang.pl': 'Polonais',
          'app_service.lang.da': 'Danois',
          'app_service.lang.fi': 'Finnois',
          'app_service.lang.la': 'Latin',
          'app_service.lang.no': 'Norvégien',
          'app_service.lang.sk': 'Slovaque',
          'app_service.lang.bg': 'Bulgare',
          'app_service.lang.fil': 'Philippin',
          'app_service.theme': 'Thème',
          'app_service.color_theme': 'Thème de couleur',
          'app_service.dark_mode': 'Mode sombre',
          'app_service.sys_lang': 'Langue du système',
          'app_service.select_theme': 'Choisir un thème',
        },
        // 德语
        'de_DE': {
          'app_service.:': '：',
          'app_service.settings': 'Einstellungen',
          'app_service.close': 'Schließen',
          'app_service.lang': 'Sprache',
          'app_service.lang.zh': 'Chinesisch',
          'app_service.lang.zh_Hans': 'Chinesisch (vereinfacht)',
          'app_service.lang.zh_Hant': 'Chinesisch (traditionell)',
          'app_service.lang.zh_HK': 'Chinesisch (Hongkong)',
          'app_service.lang.zh_TW': 'Chinesisch (Taiwan)',
          'app_service.lang.en': 'Englisch',
          'app_service.lang.US': 'Englisch (USA)',
          'app_service.lang.UK': 'Englisch (Vereinigtes Königreich)',
          'app_service.lang.fr': 'Französisch',
          'app_service.lang.de': 'Deutsch',
          'app_service.lang.it': 'Italienisch',
          'app_service.lang.he': 'Hebräisch',
          'app_service.lang.ar': 'Arabisch',
          'app_service.lang.ru': 'Russisch',
          'app_service.lang.ja': 'Japanisch',
          'app_service.lang.ko': 'Koreanisch',
          'app_service.lang.pt': 'Portugiesisch',
          'app_service.lang.nl': 'Niederländisch',
          'app_service.lang.tr': 'Türkisch',
          'app_service.lang.th': 'Thailändisch',
          'app_service.lang.vi': 'Vietnamesisch',
          'app_service.lang.ms': 'Malaiisch',
          'app_service.lang.pl': 'Polnisch',
          'app_service.lang.da': 'Dänisch',
          'app_service.lang.fi': 'Finnisch',
          'app_service.lang.la': 'Latein',
          'app_service.lang.no': 'Norwegisch',
          'app_service.lang.sk': 'Slowakisch',
          'app_service.lang.bg': 'Bulgarisch',
          'app_service.lang.fil': 'Filipino',
          'app_service.theme': 'Thema',
          'app_service.color_theme': 'Farbthema',
          'app_service.dark_mode': 'Dunkelmodus',
          'app_service.sys_lang': 'Systemsprache',
          'app_service.select_theme': 'Thema auswählen',
        },
        // 阿拉伯语
        'ar_AR': {
          'app_service.:': ' : ',
          'app_service.settings': 'الإعدادات',
          'app_service.close': 'إغلاق',
          'app_service.lang': 'اللغة',
          'app_service.lang.zh': 'الصينية',
          'app_service.lang.zh_Hans': 'الصينية (المبسطة)',
          'app_service.lang.zh_Hant': 'الصينية (التقليدية)',
          'app_service.lang.zh_HK': 'الصينية (هونغ كونغ)',
          'app_service.lang.zh_TW': 'الصينية (تايوان)',
          'app_service.lang.en': 'الإنجليزية',
          'app_service.lang.US': 'الإنجليزية (الولايات المتحدة)',
          'app_service.lang.UK': 'الإنجليزية (المملكة المتحدة)',
          'app_service.lang.fr': 'الفرنسية',
          'app_service.lang.de': 'الألمانية',
          'app_service.lang.it': 'الإيطالية',
          'app_service.lang.he': 'العبرية',
          'app_service.lang.ar': 'العربية',
          'app_service.lang.ru': 'الروسية',
          'app_service.lang.ja': 'اليابانية',
          'app_service.lang.ko': 'الكورية',
          'app_service.lang.pt': 'البرتغالية',
          'app_service.lang.nl': 'الهولندية',
          'app_service.lang.tr': 'التركية',
          'app_service.lang.th': 'التايلاندية',
          'app_service.lang.vi': 'الفيتنامية',
          'app_service.lang.ms': 'الملايو',
          'app_service.lang.pl': 'البولندية',
          'app_service.lang.da': 'الدانماركية',
          'app_service.lang.fi': 'الفنلندية',
          'app_service.lang.la': 'اللاتينية',
          'app_service.lang.no': 'النرويجية',
          'app_service.lang.sk': 'السلوفاكية',
          'app_service.lang.bg': 'البلغارية',
          'app_service.lang.fil': 'الفلبينية',
          'app_service.theme': 'السمة',
          'app_service.color_theme': 'سمة اللون',
          'app_service.dark_mode': 'الوضع الداكن',
          'app_service.sys_lang': 'لغة النظام',
          'app_service.select_theme': 'اختيار السمة',
        },
        // 希伯来语
        'he_IL': {
          'app_service.:': ' : ',
          'app_service.settings': 'הגדרות',
          'app_service.close': 'סגור',
          'app_service.lang': 'שפה',
          'app_service.lang.zh': 'סינית',
          'app_service.lang.zh_Hans': 'סינית (פשוטה)',
          'app_service.lang.zh_Hant': 'סינית (מסורתית)',
          'app_service.lang.zh_HK': 'סינית (הונג קונג)',
          'app_service.lang.zh_TW': 'סינית (מסורתית)',
          'app_service.lang.en': 'אנגלית',
          'app_service.lang.US': 'אנגלית (ארצות הברית)',
          'app_service.lang.UK': 'אנגלית (בריטניה)',
          'app_service.lang.fr': 'צרפתית',
          'app_service.lang.de': 'גרמנית',
          'app_service.lang.it': 'איטלקית',
          'app_service.lang.he': 'עברית',
          'app_service.lang.ar': 'ערבית',
          'app_service.lang.ru': 'רוסית',
          'app_service.lang.ja': 'יפנית',
          'app_service.lang.ko': 'קוריאנית',
          'app_service.lang.pt': 'פורטוגזית',
          'app_service.lang.nl': 'הולנדית',
          'app_service.lang.tr': 'טורקית',
          'app_service.lang.th': 'תאילנדית',
          'app_service.lang.vi': 'וייטנאמית',
          'app_service.lang.ms': 'מלאית',
          'app_service.lang.pl': 'פולנית',
          'app_service.lang.da': 'דנמרקית',
          'app_service.lang.fi': 'פינית',
          'app_service.lang.la': 'לטינית',
          'app_service.lang.no': 'נורווגית',
          'app_service.lang.sk': 'סלובקית',
          'app_service.lang.bg': 'בולגרית',
          'app_service.lang.fil': 'פיליפינית',
          'app_service.theme': 'ערכת נושא',
          'app_service.color_theme': 'ערכת צבע',
          'app_service.dark_mode': 'מצב אפל',
          'app_service.sys_lang': 'שפת המערכת',
          'app_service.select_theme': 'בחר ערכת נושא',
        },

        // 意大利语
        'it_IT': {
          'app_service.:': ' : ',
          'app_service.settings': 'Impostazioni',
          'app_service.close': 'Chiudi',
          'app_service.lang': 'Lingua',
          'app_service.lang.zh': 'Cinese',
          'app_service.lang.zh_Hans': 'Cinese (semplificato)',
          'app_service.lang.zh_Hant': 'Cinese (tradizionale)',
          'app_service.lang.zh_HK': 'Cinese (Hong Kong)',
          'app_service.lang.zh_TW': 'Cinese (Taiwan)',
          'app_service.lang.en': 'Inglese',
          'app_service.lang.US': 'Inglese (Stati Uniti)',
          'app_service.lang.UK': 'Inglese (Regno Unito)',
          'app_service.lang.fr': 'Francese',
          'app_service.lang.de': 'Tedesco',
          'app_service.lang.it': 'Italiano',
          'app_service.lang.he': 'Ebraico',
          'app_service.lang.ar': 'Arabo',
          'app_service.lang.ru': 'Russo',
          'app_service.lang.ja': 'Giapponese',
          'app_service.lang.ko': 'Coreano',
          'app_service.lang.pt': 'Portoghese',
          'app_service.lang.nl': 'Olandese',
          'app_service.lang.tr': 'Turco',
          'app_service.lang.th': 'Tailandese',
          'app_service.lang.vi': 'Vietnamita',
          'app_service.lang.ms': 'Malese',
          'app_service.lang.pl': 'Polacco',
          'app_service.lang.da': 'Danese',
          'app_service.lang.fi': 'Finlandese',
          'app_service.lang.la': 'Latino',
          'app_service.lang.no': 'Norvegese',
          'app_service.lang.sk': 'Slovacco',
          'app_service.lang.bg': 'Bulgaro',
          'app_service.lang.fil': 'Filippino',
          'app_service.theme': 'Tema',
          'app_service.color_theme': 'Tema colore',
          'app_service.dark_mode': 'Modalità scura',
          'app_service.sys_lang': 'Lingua di sistema',
          'app_service.select_theme': 'Seleziona tema',
        },
        // 葡萄牙语
        'pt_PT': {
          'app_service.:': ' : ',
          'app_service.settings': 'Configurações',
          'app_service.close': 'Fechar',
          'app_service.lang': 'Idioma',
          'app_service.lang.zh': 'Chinês',
          'app_service.lang.zh_Hans': 'Chinês (Simplificado)',
          'app_service.lang.zh_Hant': 'Chinês (Tradicional)',
          'app_service.lang.zh_HK': 'Chinês (Hong Kong)',
          'app_service.lang.zh_TW': 'Chinês (Taiwan)',
          'app_service.lang.en': 'Inglês',
          'app_service.lang.US': 'Inglês (Estados Unidos)',
          'app_service.lang.UK': 'Inglês (Reino Unido)',
          'app_service.lang.fr': 'Francês',
          'app_service.lang.de': 'Alemão',
          'app_service.lang.it': 'Italiano',
          'app_service.lang.he': 'Hebraico',
          'app_service.lang.ar': 'Árabe',
          'app_service.lang.ru': 'Russo',
          'app_service.lang.ja': 'Japonês',
          'app_service.lang.ko': 'Coreano',
          'app_service.lang.pt': 'Português',
          'app_service.lang.nl': 'Holandês',
          'app_service.lang.tr': 'Turco',
          'app_service.lang.th': 'Tailandês',
          'app_service.lang.vi': 'Vietnamita',
          'app_service.lang.ms': 'Malaio',
          'app_service.lang.pl': 'Polonês',
          'app_service.lang.da': 'Dinamarquês',
          'app_service.lang.fi': 'Finlandês',
          'app_service.lang.la': 'Latim',
          'app_service.lang.no': 'Norueguês',
          'app_service.lang.sk': 'Eslovaco',
          'app_service.lang.bg': 'Búlgaro',
          'app_service.lang.fil': 'Filipino',
          'app_service.theme': 'Tema',
          'app_service.color_theme': 'Tema de cor',
          'app_service.dark_mode': 'Modo escuro',
          'app_service.sys_lang': 'Idioma do sistema',
          'app_service.select_theme': 'Selecionar tema',
        },
      };
}
