/// 语言标识到国家标识的映射关系
/// - 用于查询国旗/地区旗代码
final Map<String, String> countryCodeMap = {
  'zh': 'cn', // 中文
  'zh_Hans': 'cn', // 简体中文
  'zh_Hant': 'cn', // 繁体中文
  'zh_TW': 'cn', // 中文（台湾）
  'zh_HK': 'cn', // 中文（香港）
  'US': 'gb', // 英语（美国）
  'en': 'gb', // 英语
  'ja': 'jp', // 日语
  'ru': 'ru', // 俄语
  'ar': 'sa', // 阿拉伯语
  'ko': 'kr', // 韩语
  'fr': 'fr', // 法语
  'pt': 'pt', // 葡萄牙语
  'it': 'it', // 意大利语
  'de': 'de', // 德语
  'es': 'es', // 西班牙语
  'nl': 'nl', // 荷兰语
  'tr': 'tr', // 土耳其语
  'hi': 'in', // 印地语
  'id': 'id', // 印尼语
  'vi': 'vn', // 越南语
  'th': 'th', // 泰语
  'ms': 'my', // 马来语
  'fil': 'ph', // 菲律宾语
  'sv': 'se', // 瑞典语
  'pl': 'pl', // 波兰语
  'hu': 'hu', // 匈牙利语
  'ro': 'ro', // 罗马尼亚语
  'cs': 'cz', // 捷克语
  'el': 'gr', // 希腊语
  'he': 'il', // 希伯来语
  'da': 'dk', // 丹麦语
  'fi': 'fi', // 芬兰语
  'no': 'no', // 挪威语
  'sk': 'sk', // 斯洛伐克语
  'sl': 'si', // 斯洛文尼亚语
  'bg': 'bg', // 保加利亚语
  'af': 'za', // 南非荷兰语
  'sq': 'al', // 阿尔巴尼亚语
  'hy': 'am', // 亚美尼亚语
  'az': 'az', // 阿塞拜疆语
  'eu': 'es', // 巴斯克语
  'bn': 'bd', // 孟加拉语
  'bs': 'ba', // 波斯尼亚语
  'ca': 'es', // 加泰罗尼亚语
  'hr': 'hr', // 克罗地亚语
  'cy': 'gb', // 威尔士语
  'et': 'ee', // 爱沙尼亚语
  'tl': 'ph', // 菲律宾语
  'gl': 'es', // 加利西亚语
  'ka': 'ge', // 格鲁吉亚语
  'gu': 'in', // 古吉拉特语
  'ht': 'ht', // 海地克里奥尔语
  'ha': 'ng', // 豪萨语
  'haw': 'us', // 夏威夷语
  'iw': 'il', // 希伯来语
  'jw': 'id', // 爪哇语
  'kk': 'kz', // 哈萨克语
  'km': 'kh', // 高棉语
  'kn': 'in', // 卡纳达语
  'ky': 'kg', // 吉尔吉斯语
  'lo': 'la', // 老挝语
  'la': 'va', // 拉丁语
  'lv': 'lv', // 拉脱维亚语
  'lt': 'lt', // 立陶宛语
  'lb': 'lu', // 卢森堡语
  'mk': 'mk', // 马其顿语
  'mg': 'mg', // 马尔加什语
  'mt': 'mt', // 马耳他语
  'mi': 'nz', // 毛利语
  'mr': 'in', // 马拉地语
  'mn': 'mn', // 蒙古语
  'ne': 'np', // 尼泊尔语
  'ps': 'af', // 普什图语
  'pa': 'pk', // 旁遮普语
  'qu': 'pe', // 凯楚亚语
  'gd': 'gb', // 苏格兰盖尔语
  'sr': 'rs', // 塞尔维亚语
  'st': 'ls', // 塞索托语
  'sn': 'zw', // 修纳语
  'sd': 'pk', // 信德语
  'si': 'lk', // 僧伽罗语
  'su': 'id', // 巽他语
  'sw': 'tz', // 斯瓦希里语
  'tg': 'tj', // 塔吉克语
  'ta': 'in', // 泰米尔语
  'te': 'in', // 泰卢固语
  'ur': 'pk', // 乌尔都语
  'uz': 'uz', // 乌兹别克语
  'xh': 'za', // 科萨语
  'yi': 'il', // 意第绪语
  'zu': 'za', // 祖鲁语
};
